Package org.freeplane.plugin.script.proxy

# Interface Proxy.NodeStyleRO

All Superinterfaces:
  `NodeStyleRO`

All Known Subinterfaces:
  `Proxy.NodeStyle`

Enclosing interface:
  `Proxy`

public static interface Proxy.NodeStyleRO extends NodeStyleRO

## Method Summary

Modifier and Type
Method
Description
`org.freeplane.features.styles.IStyle`
`getStyle()`

### Methods inherited from interface org.freeplane.api.NodeStyleRO

`getBackgroundColor, getBackgroundColorCode, getEdge, getFont, getMaxNodeWidth, getMinNodeWidth, getName, getNodeTextColor, getStyleNode, getTextColor, getTextColorCode, isFloating, isNumberingEnabled`

## Method Details

### getStyle

org.freeplane.features.styles.IStyle getStyle()